Public Class STP_SectorBusinessObject
    Inherits BusinessObject(Of STP_Sector)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New STP_SectorDbHelper
    End Sub

    Public Sub New(ByVal entity As STP_Sector)
        MyBase.New(entity)
        DbHelper = New STP_SectorDbHelper
    End Sub

    Public Sub New(ByVal idSector As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idSector = idSector
        Dim Entity_Aux As STP_Sector = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As STP_SectorBusinessObject
    Protected Shared Function GetDdHelperInstance() As STP_SectorDbHelper
        If _Instance Is Nothing Then
            _Instance = New STP_SectorBusinessObject
        End If
    Return CType(_Instance.DbHelper, STP_SectorDbHelper)
    End Function

    Public Shared Function GetListSTP_Sector(Optional ByVal foreignLevel As Integer=0) As EntityList(Of STP_Sector)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
